Subject: Re: [bug#37443] [PATCH] scripts: pull: Add options for generation management

From: Konrad Hinsen <[email-masked]>
Date: Wed, 18 Sep 2019 22:08:26 +0200

Hi Simon,

> Naive question: why not merge the two default profiles in only one
> default profile?
>
> `guix pull` uses the default ~/.config/guix/current
> `guix package` uses the default ~/.guix-profile
>
> Does it make sense to remove one of them?

I am not sure if it could be done, but I am rather sure that I wouldn't
want that.

Case study: I want to install one package from a specific Guix commit in
the past:

 - guix pull -C ... creates a new generation
 - guix package install ... creates another new generation

Now I cannot undo the "guix pull" without also removing the package that
I installed from that specific commit!

Cheers,
  Konrad